Page MenuHomePhabricator

Review and deploy of the ArticlePlaceholder extension
Closed, ResolvedPublic

Description

  • Create a tracking task for the extension's deployment to Wikimedia wikis. This bug should only concern deployment itself, any sub-issues (that block deployment) should be separate bugs that are listed under "Blocked by" for this tracking bug.
  • Create Extension: mediawiki.org page for developers and people who will install or configure the extension.
  • Create Help:Extension: mediawiki.org page for end-user documentation. Cross-link it with the above.
  • Request a project in Phabricator if none exists yet.
  • Get the extension code in Gerrit.
  • Show community support/desire for the extension to be deployed, if applicable.
  • Request (and respond to) a product review, if applicable
  • Request (and respond to) a design review, if applicable.
  • Open (and respond to) a security review ticket blocking your tracking task.
  • Config change to default to disable on production wikis, enable on beta
  • Add to WikidataBuildResources, update Build
  • Config change to enable on testwiki
  • Config change to enable on all wikis

https://www.mediawiki.org/wiki/Review_queue#Checklist

Related Objects

StatusAssignedTask
Resolvedthiemowmde
DeclinedNone
InvalidLydia_Pintscher
ResolvedLucie
ResolvedLydia_Pintscher
Resolvedhoo
ResolvedAddshore
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
ResolvedJanZerebecki
ResolvedJanZerebecki
DeclinedNone
DuplicateLucie
ResolvedLucie
ResolvedLucie
ResolvedLucie
Resolvedhoo
ResolvedLucie
ResolvedLucie
Resolved Jonas
ResolvedAklapper
DeclinedDereckson
Resolvedcsteipp
ResolvedJanZerebecki
DuplicateNone
Resolvedhoo
ResolvedNone
ResolvedNone
ResolvedNone
ResolvedLucie
ResolvedNone
ResolvedLucie
OpenNone
InvalidLucie
DeclinedLucie
ResolvedLucie
InvalidLucie
ResolvedLucie
OpenNone
Resolvedhoo

Event Timeline

Lucie created this task.Nov 6 2015, 12:29 PM
Lucie claimed this task.
Lucie raised the priority of this task from to Normal.
Lucie updated the task description. (Show Details)
Lucie added subscribers: Lydia_Pintscher, Lucie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2015, 12:29 PM
Lucie updated the task description. (Show Details)Nov 6 2015, 12:29 PM
Lucie set Security to None.
Lucie added a subscriber: hoo.
Nemo_bis added a subscriber: Nemo_bis.EditedNov 24 2015, 9:21 AM

Show community support/desire for the extension to be deployed, if applicable.

Are you looking for guinea pigs? :) Can I help?

Lucie added a comment.Nov 24 2015, 1:18 PM

Yes we are always looking for furry little guinea pigs :3
Would be awesome if you could help out! The next step would be to get feedback from the small Wikipedias but honestly I am happy about anyone who would like to provide feedback!
There is a test setup here with an English example for Ada Lovelace: http://articleplaceholder.wmflabs.org/mediawiki/index.php/Special:AboutTopic/Q3
Please feel free to note everything you don't like, doesn't work etc. Basically everything is still in development but that might be the right time to speak out any critics :D
Looking forward to hear your opinion on it!

Lucie updated the task description. (Show Details)Jan 4 2016, 10:38 PM
JanZerebecki updated the task description. (Show Details)Feb 1 2016, 11:41 AM
JanZerebecki updated the task description. (Show Details)Feb 4 2016, 8:52 PM
aude updated the task description. (Show Details)Feb 5 2016, 9:24 AM

Show community support/desire for the extension to be deployed, if applicable.

There is already an early support from the Nynorsk Wikipedia community.

brion added a subscriber: brion.Apr 3 2016, 10:54 AM
Lucie updated the task description. (Show Details)May 2 2016, 12:50 PM
Lucie closed this task as Resolved.May 18 2016, 1:10 PM
Lucie moved this task from Broader tickets to Done on the ArticlePlaceholder board.